> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update Property Amenities: Buildium

PUT https://api.propexo.com/v1/amenities/buildium/properties/{id}
Content-Type: application/json

Update Property Amenities: Buildium

| Interface | Method |
|---|---|
| Rental Properties | PUT /rentals/:propertyId/amenities |

Reference: https://docs.propexo.com/api-reference/buildium/amenities/update-property-amenities-buildium

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `id` (string, required) — The Propexo unique identifier for the property

### Body (application/json)

This endpoint expects a _v1_amenities_buildium_properties_{id}_put_input.

- `features` (list of enum, required) — A list of overall property amenities. Any previously saved values that are not submitted in the update request will be deleted
  - Allowed values: `LaundryRoom`, `WheelchairAccess`, `DoorAttendant`, `Elevator`, `Parking`, `StorageUnits`, `Pool`, `FitnessCenter`, `TennisCourt`, `ClubHouse`, `Power`, `ParkingCommercial`, `SprinklerSystem`, `DockHighDoorsOrLoadingAvailable`, `Availability24Hours`, `AccentWalls`, `BasketballCourt`, `Bilingual`, `BoatDocks`, `BusinessCenter`, `CarWashArea`, `ChildCare`, `ClubDiscount`, `ConferenceRoom`, `Concierge`, `FreeWeights`, `FurnishedAvailable`, `GamingStations`, `Garage`, `Gate`, `GroceryService`, `GroupExercise`, `GuestRoom`, `Housekeeping`, `HouseSitting`, `JoggingWalkingTrails`, `LakeFront`, `LakeAccess`, `Library`, `MealService`, `MediaRoom`, `MultiUseRoom`, `NightPatrol`, `OnSiteMaintenance`, `OnSiteManagement`, `PackageReceiving`, `PerDiemAccepted`, `PlayGround`, `Racquetball`, `RecRoom`, `Recycling`, `Sauna`, `ShortTermLease`, `SmokeFree`, `Spa`, `Sundeck`, `Transportation`, `TVLounge`, `ValetTrash`, `Vintage`, `VolleyballCourt`, `WirelessInternet`, `HighSpeedInternet`
- `included_in_rent` (list of enum, required) — A list of amenities that are included in rent. Any previously saved values that are not submitted in the update request will be deleted
  - Allowed values: `Gas`, `Electric`, `Trash`, `Water`, `HotWater`, `Telephone`, `Heat`, `Cable`, `AirCon`, `Satellite`, `Sewer`, `BroadbandInternet`

## Response

### 200

Successful response

- `meta` (V1AmenitiesBuildiumPropertiesIdPutOutputMeta, required)
- `result` (V1AmenitiesBuildiumPropertiesIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1AmenitiesBuildiumPropertiesIdPutOutputMeta

- `job_id` (string, required)

### V1AmenitiesBuildiumPropertiesIdPutOutputResult

- `id` (string, required) — The Propexo unique identifier for the property
- `features` (list of enum, required)
  - Allowed values: `LaundryRoom`, `WheelchairAccess`, `DoorAttendant`, `Elevator`, `Parking`, `StorageUnits`, `Pool`, `FitnessCenter`, `TennisCourt`, `ClubHouse`, `Power`, `ParkingCommercial`, `SprinklerSystem`, `DockHighDoorsOrLoadingAvailable`, `Availability24Hours`, `AccentWalls`, `BasketballCourt`, `Bilingual`, `BoatDocks`, `BusinessCenter`, `CarWashArea`, `ChildCare`, `ClubDiscount`, `ConferenceRoom`, `Concierge`, `FreeWeights`, `FurnishedAvailable`, `GamingStations`, `Garage`, `Gate`, `GroceryService`, `GroupExercise`, `GuestRoom`, `Housekeeping`, `HouseSitting`, `JoggingWalkingTrails`, `LakeFront`, `LakeAccess`, `Library`, `MealService`, `MediaRoom`, `MultiUseRoom`, `NightPatrol`, `OnSiteMaintenance`, `OnSiteManagement`, `PackageReceiving`, `PerDiemAccepted`, `PlayGround`, `Racquetball`, `RecRoom`, `Recycling`, `Sauna`, `ShortTermLease`, `SmokeFree`, `Spa`, `Sundeck`, `Transportation`, `TVLounge`, `ValetTrash`, `Vintage`, `VolleyballCourt`, `WirelessInternet`, `HighSpeedInternet`
- `included_in_rent` (list of enum, required)
  - Allowed values: `Gas`, `Electric`, `Trash`, `Water`, `HotWater`, `Telephone`, `Heat`, `Cable`, `AirCon`, `Satellite`, `Sewer`, `BroadbandInternet`

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "features": [
    "LaundryRoom",
    "FitnessCenter",
    "Pool",
    "Parking",
    "Elevator"
  ],
  "included_in_rent": [
    "Gas",
    "Water",
    "Trash",
    "BroadbandInternet"
  ]
}
```

**Response**

```json
{
  "meta": {
    "job_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
  },
  "result": {
    "id": "prop-9876543210",
    "features": [
      "LaundryRoom",
      "FitnessCenter",
      "Pool",
      "Parking",
      "Elevator"
    ],
    "included_in_rent": [
      "Gas",
      "Water",
      "Trash",
      "BroadbandInternet"
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/amenities/buildium/properties/id"

payload = {
    "features": ["LaundryRoom", "FitnessCenter", "Pool", "Parking", "Elevator"],
    "included_in_rent": ["Gas", "Water", "Trash", "BroadbandInternet"]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/amenities/buildium/properties/id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"features":["LaundryRoom","FitnessCenter","Pool","Parking","Elevator"],"included_in_rent":["Gas","Water","Trash","BroadbandInternet"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/amenities/buildium/properties/id"

	payload := strings.NewReader("{\n  \"features\": [\n    \"LaundryRoom\",\n    \"FitnessCenter\",\n    \"Pool\",\n    \"Parking\",\n    \"Elevator\"\n  ],\n  \"included_in_rent\": [\n    \"Gas\",\n    \"Water\",\n    \"Trash\",\n    \"BroadbandInternet\"\n  ]\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/amenities/buildium/properties/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"features\": [\n    \"LaundryRoom\",\n    \"FitnessCenter\",\n    \"Pool\",\n    \"Parking\",\n    \"Elevator\"\n  ],\n  \"included_in_rent\": [\n    \"Gas\",\n    \"Water\",\n    \"Trash\",\n    \"BroadbandInternet\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/amenities/buildium/properties/id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"features\": [\n    \"LaundryRoom\",\n    \"FitnessCenter\",\n    \"Pool\",\n    \"Parking\",\n    \"Elevator\"\n  ],\n  \"included_in_rent\": [\n    \"Gas\",\n    \"Water\",\n    \"Trash\",\n    \"BroadbandInternet\"\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/amenities/buildium/properties/id', [
  'body' => '{
  "features": [
    "LaundryRoom",
    "FitnessCenter",
    "Pool",
    "Parking",
    "Elevator"
  ],
  "included_in_rent": [
    "Gas",
    "Water",
    "Trash",
    "BroadbandInternet"
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/amenities/buildium/properties/id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"features\": [\n    \"LaundryRoom\",\n    \"FitnessCenter\",\n    \"Pool\",\n    \"Parking\",\n    \"Elevator\"\n  ],\n  \"included_in_rent\": [\n    \"Gas\",\n    \"Water\",\n    \"Trash\",\n    \"BroadbandInternet\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "features": ["LaundryRoom", "FitnessCenter", "Pool", "Parking", "Elevator"],
  "included_in_rent": ["Gas", "Water", "Trash", "BroadbandInternet"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/amenities/buildium/properties/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```